import { useState as q, useEffect as G, useContext as _ } from "react";
import { a3 as d, lv as le, lw as ae, lx as se, hj as E, i2 as K, ad as c, a4 as h, H as e, ho as ce, eh as J, am as M, ly as n, iR as de, iS as pe, ia as he, lz as fe, ji as me, lA as ue, lB as ge, ii as ye, jj as xe, aC as j, ht as Y, lC as be, lD as we, h$ as ve, lE as Ce, _ as W, hy as Se, I as P, cU as Ie, lF as O, lG as $e, lH as De, lI as Re, lJ as Te, lK as Fe, gj as ke, lL as Ae, lM as Be, lN as H, lO as qe, cC as Ne, lP as Qe, lo as ze, lQ as Le, an as Pe, lR as Ee, lS as X, cT as je } from "./56c67d3b.js";
import { D as Oe } from "./f2c5273f.js";
import { M as Ve } from "./c320947b.js";
import { B as _e } from "./e6615772.js";
import "react-dom";
const Me = d.div`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  min-height: 0;
  width: 100%;
  background-color: #ffffff;
`, Ue = d.div`
  flex-shrink: 0;
  height: 40px;
  width: 100%;
  padding: 0 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
`, We = d.span`
  font-weight: 500;
  font-size: 13px;
  color: #222222;
  line-height: 20px;
  display: inline-block;
  max-width: 150px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  user-select: none;
`, He = d.div`
  display: flex;
  align-items: center;
`, Ge = d.div`
  height: 28px;
  padding: 0 16px;
  margin-bottom: 4px;
  .ant-input-affix-wrapper {
    height: 28px;
  }
`, Ke = d(ue)`
  height: 16px;
  width: 16px;
  margin-right: 16px;
  color: #9195a3;
  cursor: pointer;
  &:hover {
    color: ${le};
  }
`, V = d(ge)`
  height: 12px;
  width: 12px;
  margin-right: 2px;
`, Je = d(ye)`
  &&& {
    height: 24px;
    width: 64px;
    padding: 4px 12px;
    background-color: #fafbff;
    color: #4965f2;
    border-color: #c9d1fc;
    display: flex;
    align-items: center;
    box-shadow: none;
  
    &:hover {
      color: #315efb;
      background-color: #f5faff;
      border-color: #c2d6ff;
    }
  
    &:focus {
      color: #315efb;
      background-color: #f5faff;
      border-color: #c2d6ff;
    }
  
    &:hover ${V} g {
      stroke: #315efb;
    }
  
    &:disabled,
    &:disabled:hover {
      background: #f9fbff;
      border: 1px solid #dee9ff;
      border-radius: 4px;
  
      ${V} g {
        stroke: #4965f230;
      }
    }
  }
`;
function Ye(t) {
  const {
    items: l,
    refTreeComp: p,
    onOpenCreatePanel: x,
    onSelect: u,
    onCopy: r,
    onDelete: b
  } = t, w = E(K), [v, C] = q(!1), [y, S] = q(""), F = (i) => l.find((f) => f.id() === i), A = (i) => {
    var a;
    const f = F(i.children.value.getView()), I = f == null ? void 0 : f.type(), T = (a = i.children.items) == null ? void 0 : a.getView().map((o) => A(o)).filter((o) => !!o), $ = {
      id: f == null ? void 0 : f.id(),
      canDropBefore: (o) => I === n.Folder ? (o == null ? void 0 : o.type()) === n.Folder : (o == null ? void 0 : o.type()) !== n.Folder,
      canDropAfter: (o) => !(I !== n.Folder && (o == null ? void 0 : o.type()) === n.Folder),
      canDropIn: (o) => I !== n.Folder ? !1 : o ? o.type() !== n.Folder : !0,
      items: T,
      data: f,
      addSubItem(o) {
        const s = i.children.items.pushAction({
          value: o.id()
        });
        i.children.items.dispatch(s);
      },
      deleteItem(o) {
        const s = i.children.items.deleteAction(o);
        i.children.items.dispatch(s);
      },
      addItem(o) {
        const s = i.children.items.pushAction({
          value: o.id()
        });
        i.children.items.dispatch(s);
      },
      moveItem(o, s) {
        const N = i.children.items.arrayMoveAction(o, s);
        i.children.items.dispatch(N);
      }
    };
    if (!(y && f && !f.name().toLowerCase().includes(y.toLowerCase()) && T.length === 0))
      return $;
  }, m = A(p), R = p.getAllValuesInTree(), g = l.filter((i) => !R.includes(i.id())).map((i) => i.id());
  return G(() => {
    g.length > 0 && g.forEach((i) => {
      const f = p.children.items.pushAction({
        value: i,
        items: []
      });
      p.children.items.dispatch(f);
    });
  }, [g, p.children.items]), /* @__PURE__ */ c(Me, {
    style: t.style,
    children: [/* @__PURE__ */ c(Ue, {
      children: [/* @__PURE__ */ c(We, {
        children: [h("bottomPanel.title"), " (", l.length, ")"]
      }), /* @__PURE__ */ c(He, {
        children: [/* @__PURE__ */ e(Ke, {
          onClick: () => {
            C(!v), S("");
          }
        }), /* @__PURE__ */ c(Je, {
          disabled: w,
          onClick: () => {
            x();
          },
          children: [/* @__PURE__ */ e(V, {}), h("newItem")]
        })]
      })]
    }), v && /* @__PURE__ */ e(Ge, {
      children: /* @__PURE__ */ e(ce, {
        autoFocus: !0,
        allowClear: !0,
        value: y,
        placeholder: "Search",
        onChange: (i) => S(i.target.value),
        style: {
          marginTop: 0,
          height: 28
        }
      })
    }), /* @__PURE__ */ e(J, {
      children: l.length > 0 && m ? /* @__PURE__ */ e("div", {
        style: {
          paddingTop: 4,
          paddingBottom: 100,
          overflow: "hidden"
        },
        children: /* @__PURE__ */ e(Oe, {
          node: m,
          disable: !!y,
          unfoldAll: !!y,
          showSubInDragOverlay: !1,
          showDropInPositionLine: !1,
          showPositionLineDot: !0,
          positionLineDotDiameter: 4,
          positionLineHeight: 1,
          itemHeight: 25,
          positionLineIndent: (i, f) => {
            const I = 2 + (i.length - 1) * 30;
            return f ? I + 12 : I;
          },
          renderItemContent: (i) => {
            const {
              node: f,
              onToggleFold: I,
              onDelete: T,
              ...$
            } = i, a = f.data;
            if (!a)
              return null;
            const o = a.id(), s = a.type();
            return /* @__PURE__ */ e(ot, {
              id: o,
              node: f,
              resComp: a,
              onToggleFold: I,
              onCopy: () => r(s, o),
              onSelect: () => u(s, o),
              onDelete: () => {
                b(s, o) && T();
              },
              ...$
            }, o);
          }
        })
      }) : !w && /* @__PURE__ */ e(nt, {
        newColumn: x
      })
    })]
  });
}
const Xe = d.div`
  max-width: 100%;
  flex: 1;
  display: flex;
  padding-left: ${(t) => t.$level * 10 + (t.$foldable ? 0 : 14)}px;
  border-radius: 4px;
  border: 1px solid ${(t) => t.$active ? ae : "transparent"};
  align-items: center;
  justify-content: center;
`, Ze = d.div`
  width: 100%;
  height: 25px;
  display: flex;
  user-select: none;
  padding-left: 2px;
  padding-right: 15px;
  /* background-color: #ffffff; */
  /* margin: 2px 0; */
  background-color: ${(t) => t.$isOverlay ? "rgba(255, 255, 255, 0.11)" : ""};

  &&& {
    background-color: ${(t) => t.$color && !t.$isOverlay ? "#f2f7fc" : null};
  }

  &:hover {
    background-color: #f2f7fc80;
    cursor: pointer;
  }

  .taco-edit-text-wrapper {
    width: 100%;
    height: 21px;
    line-height: 21px;
    color: #222222;
    margin-left: 0;
    font-size: 13px;
    padding-left: 0;

    &:hover {
      background-color: transparent;
    }
  }

  .taco-edit-text-input {
    width: 100%;
    height: 21px;
    line-height: 21px;
    color: #222222;
    margin-left: 0;
    font-size: 13px;
    background-color: #fdfdfd;
    border: 1px solid #3377ff;
    border-radius: 2px;

    &:focus {
      border-color: #3377ff;
      box-shadow: 0 0 0 2px #d6e4ff;
    }
  }
`, et = d(xe)`
  width: 16px;
  height: 16px;
  cursor: pointer;
  flex-shrink: 0;
  color: ${se};

  &:hover {
    color: #315efb;
  }
`, tt = d.div`
  width: 12px;
  height: 12px;
  display: flex;
  margin-right: 2px;
`;
function ot(t) {
  const {
    id: l,
    resComp: p,
    isOver: x,
    isOverlay: u,
    path: r,
    isFolded: b,
    onDelete: w,
    onCopy: v,
    onSelect: C,
    onToggleFold: y
  } = t, [S, F] = q(void 0), [A, m] = q(!1), R = _(M), g = E(K), {
    selectedBottomResName: i,
    selectedBottomResType: f
  } = R, I = r.length - 1, T = p.type(), $ = p.name(), a = p.icon(), o = T === f && l === i, s = T === n.Folder;
  return /* @__PURE__ */ e(Ze, {
    onClick: () => {
      s && y(), C();
    },
    $color: o,
    $isOverlay: u,
    children: /* @__PURE__ */ c(Xe, {
      $active: x && s,
      $level: I,
      $foldable: s,
      children: [s && /* @__PURE__ */ e(tt, {
        children: b ? /* @__PURE__ */ e(pe, {}) : /* @__PURE__ */ e(de, {})
      }), a, /* @__PURE__ */ c("div", {
        style: {
          flexGrow: 1,
          marginRight: "8px",
          width: "calc(100% - 62px)"
        },
        children: [/* @__PURE__ */ e(he, {
          text: $,
          forceClickIcon: s,
          disabled: !o || g || u,
          onFinish: (k) => {
            let B = !1, z = $;
            p.rename ? (z = p.rename(k), B = !!z) : (z = $, B = R.rename($, k)), B && (R.setSelectedBottomRes(z, T), F(void 0));
          },
          onChange: (k) => {
            let B = "";
            p.checkName ? B = p.checkName(k) : B = R.checkRename($, k), F(B);
          },
          onEditStateChange: (k) => m(k)
        }), /* @__PURE__ */ e(fe, {
          editorFocus: !!S && A,
          title: S ? h("error") : "",
          content: S,
          hasError: !!S
        })]
      }), !g && !u && /* @__PURE__ */ e(me, {
        copy: s ? void 0 : v,
        del: w,
        children: /* @__PURE__ */ e(et, {
          tabIndex: -1
        })
      })]
    })
  });
}
const it = d.div`
  margin: 16px 16px 0 16px;
  width: 100%;
  min-height: 68px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: #ffffff;
  border: 1px dashed #d7d9e0;
  border-radius: 4px;
  overflow: auto;
  min-width: 140px;
`, nt = (t) => /* @__PURE__ */ e("div", {
  style: {
    display: "flex"
  },
  children: /* @__PURE__ */ c(it, {
    children: [/* @__PURE__ */ e("div", {
      style: {
        color: "#b8b9bf"
      },
      children: h("query.noQueries")
    }), /* @__PURE__ */ e("span", {
      style: {
        color: "#4965f2",
        cursor: "pointer",
        margin: "0 4px"
      },
      onClick: t.newColumn,
      children: h("newItem")
    })]
  })
}), rt = d.div`
  width: 100%;
  height: 100%;
  position: absolute;
  background-color: white;

  ${(t) => t.$placement === "editor" ? j`
          top: 0;
        ` : j`
          padding: 36px 0 0 0;
        `}

  .section-title {
    font-size: 13px;
    line-height: 1;
    color: ${Y};
    margin-bottom: 8px;
  }

  .section {
    margin-bottom: 12px;

    &:last-child {
      margin-bottom: 0px;
    }
  }
`, lt = d.div`
  height: 40px;
  display: flex;
  padding: 0 16px;
  justify-content: space-between;
  align-items: ${(t) => t.$placement === "editor" ? "center" : "flex-start"};

  ${(t) => t.$shadow ? `box-shadow: ${be};` : ""}
  .title-text {
    font-size: ${(t) => t.$placement === "editor" ? 16 : 18}px;
    font-weight: 500;
  }

  .title-close-btn {
    cursor: pointer;
    display: flex;
    align-items: center;
    color: ${Y};

    &:hover {
      color: ${we};
    }
  }
`, at = d.div`
  height: calc(100% - 40px);
`, st = d.div`
  padding: 8px 16px 24px;
`, L = d.div`
  display: flex;
  gap: ${(t) => t.$placement === "queryLibrary" ? 12 : 8}px;
  flex-wrap: wrap;
`, D = (t) => {
  let l = "", p = Ne.noop, x = /* @__PURE__ */ e(Fe, {
    size: "large",
    dataSourceType: typeof t.identifier == "object" ? t.identifier.type : t.identifier
  });
  const u = {
    [n.TempState]: {
      label: h("query.tempState"),
      type: n.TempState
    },
    [n.Transformer]: {
      label: h("query.transformer"),
      type: n.Transformer
    },
    [n.DateResponder]: {
      label: h("query.dataResponder"),
      type: n.DateResponder
    },
    [n.Folder]: {
      label: h("query.folder"),
      type: n.Folder,
      extra: () => ({
        id: ke()
      })
    },
    js: {
      label: h("query.executeJSCode"),
      type: n.Query,
      extra: {
        compType: "js"
      }
    },
    libraryQuery: {
      label: h("query.importFromQueryLibrary"),
      type: n.Query,
      extra: {
        compType: "libraryQuery"
      }
    },
    restApi: {
      label: h("query.quickRestAPI"),
      type: n.Query,
      extra: {
        compType: "restApi",
        dataSourceId: Ae
      }
    },
    streamApi: {
      label: h("query.quickStreamAPI"),
      type: n.Query,
      extra: {
        compType: "streamApi"
      }
    },
    graphql: {
      label: h("query.quickGraphql"),
      type: n.Query,
      extra: {
        compType: "graphql",
        dataSourceId: Be
      }
    },
    lowcoderApi: {
      icon: H.icon,
      label: H.name,
      type: n.Query,
      extra: {
        compType: "lowcoderApi",
        dataSourceId: qe
      }
    }
  };
  if (typeof t.identifier == "object") {
    const r = t.identifier;
    l = r.name, p = () => {
      t.onSelect(n.Query, {
        compType: r.type,
        dataSourceId: r.id
      });
    };
  } else if (u[t.identifier]) {
    const r = u[t.identifier];
    x = r.icon ?? x, l = r.label, p = () => {
      const b = typeof r.extra == "function" ? r.extra() : r.extra;
      t.onSelect(r.type, b);
    };
  }
  return /* @__PURE__ */ c(O, {
    onClick: p,
    size: t.size,
    children: [x, l]
  });
};
function ct(t) {
  const {
    onSelect: l,
    onClose: p,
    recentlyUsed: x,
    datasource: u,
    placement: r = "editor"
  } = t, [b, w] = q(!1), [v, C] = q(!1), y = E(ve), {
    width: S,
    ref: F
  } = Ce({
    handleHeight: !1
  }), A = S ? Math.floor((S + 8) / (184 + 8)) : 3, m = r !== "queryLibrary" ? "small" : "middle", R = W.throttle((g) => {
    const i = g.target.scrollTop;
    w(i > 0);
  }, 100);
  return /* @__PURE__ */ c(rt, {
    $placement: r,
    children: [/* @__PURE__ */ c(lt, {
      $shadow: b,
      $placement: r,
      children: [/* @__PURE__ */ e("div", {
        onScroll: R,
        className: "title-text",
        children: h("query.newQuery")
      }), /* @__PURE__ */ e("div", {
        className: "title-close-btn",
        children: /* @__PURE__ */ e(Se, {
          onClick: p
        })
      })]
    }), /* @__PURE__ */ e(at, {
      children: /* @__PURE__ */ e(J, {
        scrollableNodeProps: {
          onScroll: R
        },
        children: /* @__PURE__ */ c(st, {
          children: [/* @__PURE__ */ e("div", {
            className: "section-title",
            children: h("query.recentlyUsed")
          }), /* @__PURE__ */ e("div", {
            ref: F,
            className: "section",
            children: /* @__PURE__ */ e(L, {
              $placement: r,
              children: W.uniq(x).slice(0, A).map((g, i) => /* @__PURE__ */ e(D, {
                size: m,
                identifier: g,
                onSelect: l
              }, i))
            })
          }), r === "editor" && /* @__PURE__ */ c(P, {
            children: [/* @__PURE__ */ e("div", {
              className: "section-title",
              children: h("code")
            }), /* @__PURE__ */ e("div", {
              className: "section",
              children: /* @__PURE__ */ c(L, {
                $placement: r,
                children: [/* @__PURE__ */ e(D, {
                  size: m,
                  identifier: n.TempState,
                  onSelect: l
                }), /* @__PURE__ */ e(D, {
                  size: m,
                  identifier: n.Transformer,
                  onSelect: l
                }), /* @__PURE__ */ e(D, {
                  size: m,
                  identifier: n.DateResponder,
                  onSelect: l
                }), /* @__PURE__ */ e(D, {
                  size: m,
                  identifier: "js",
                  onSelect: l
                }), /* @__PURE__ */ e(D, {
                  size: m,
                  identifier: "libraryQuery",
                  onSelect: l
                }), /* @__PURE__ */ e(D, {
                  size: m,
                  identifier: n.Folder,
                  onSelect: l
                })]
              })
            })]
          }), r === "queryLibrary" && t.onImport && /* @__PURE__ */ c(P, {
            children: [/* @__PURE__ */ e("div", {
              className: "section-title",
              children: h("home.import")
            }), /* @__PURE__ */ e("div", {
              className: "section",
              children: /* @__PURE__ */ e(L, {
                $placement: r,
                children: /* @__PURE__ */ e(Ie, {
                  accept: ".json",
                  showUploadList: !1,
                  customRequest: (g) => {
                    t.onImport(g);
                  },
                  multiple: !1,
                  children: /* @__PURE__ */ c(O, {
                    size: m,
                    children: [/* @__PURE__ */ e($e, {
                      width: "20px",
                      height: "20px",
                      style: {
                        marginRight: "8px"
                      }
                    }), h("query.importFromFile")]
                  })
                })
              })
            })]
          }), /* @__PURE__ */ e("div", {
            className: "section-title",
            children: h("query.datasource")
          }), /* @__PURE__ */ e("div", {
            className: "section",
            children: /* @__PURE__ */ c(L, {
              $placement: r,
              children: [/* @__PURE__ */ e(D, {
                size: m,
                identifier: "restApi",
                onSelect: l
              }), /* @__PURE__ */ e(D, {
                size: m,
                identifier: "streamApi",
                onSelect: l
              }), /* @__PURE__ */ e(D, {
                size: m,
                identifier: "graphql",
                onSelect: l
              }), r === "editor" && /* @__PURE__ */ e(D, {
                size: m,
                identifier: "lowcoderApi",
                onSelect: l
              }), u.map((g) => /* @__PURE__ */ e(D, {
                size: m,
                identifier: g,
                onSelect: l
              }, g.id)), y.orgDev && /* @__PURE__ */ c(O, {
                size: m,
                onClick: () => C(!0),
                children: [/* @__PURE__ */ e(De, {
                  children: /* @__PURE__ */ e(Re, {})
                }), h("query.newDatasource")]
              })]
            })
          })]
        })
      })
    }), /* @__PURE__ */ e(Te, {
      open: v,
      onCancel: () => C(!1),
      onCreated: () => C(!1)
    })]
  });
}
const Z = d.div`
  width: 100%;
  height: 100%;
  background: #ffffff;
  display: flex;
`, ee = d.div`
  position: relative;
  width: calc(30% - 1px);
  min-width: 248px;
  max-width: 296px;
  height: 100%;
  float: left;
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
`, te = d.div`
  width: 1px;
  height: 100%;
  background-color: #e1e3eb;
  position: relative;
  flex-shrink: 0;
`, oe = d.div`
  position: relative;
  min-width: 0;
  height: 100%;
  overflow-y: hidden;
  overflow-x: auto;
  flex-grow: 1;
`;
function bt() {
  return /* @__PURE__ */ c(Z, {
    children: [/* @__PURE__ */ e(ee, {}), /* @__PURE__ */ e(te, {}), /* @__PURE__ */ e(oe, {})]
  });
}
const wt = () => {
  var T, $;
  const t = _(M), l = E(Qe), p = t.selectedBottomResComp(), [x, u] = q(!1), r = t.getQueriesComp().getView(), b = t.getTempStatesComp().getView(), w = t.getTransformersComp().getView(), v = t.getFoldersComp().getView(), C = t.getDataRespondersComp().getView(), y = t.selectedBottomResType === n.Folder, S = t.rootComp.children.refTree, F = [...r, ...b, ...w, ...v, ...C], A = F.reverse().map((a) => {
    var o;
    if (a.type() === n.Query) {
      const s = l.find((N) => {
        var Q;
        return N.datasource.id === ((Q = a.children.datasourceId) == null ? void 0 : Q.getView());
      });
      return (s == null ? void 0 : s.datasource) || ((o = a.children.compType) == null ? void 0 : o.getView());
    }
    return a.type();
  }), m = (a, o) => {
    const N = t.getBottomResListComp(a).add(t, o);
    u(!1);
    const Q = a === n.Folder, U = y && !Q ? t.selectedBottomResName : "", k = Q ? v.length : void 0;
    t.rootComp.children.refTree.appendRef(U, N, k);
  }, R = (a, o) => {
    t.getBottomResListComp(a).copy(t, o);
  }, g = (a, o) => {
    const s = t.getBottomResListComp(a);
    return a === n.Folder && S.hasChildren(o) ? (je.error(h("query.folderNotEmpty")), !1) : (s.delete(o), !0);
  }, i = (a, o) => {
    t.getBottomResListComp(a).select(t, o);
  };
  G(() => {
    t.selectedBottomResName && u(!1);
  }, [t.selectedBottomResName, u]);
  const f = ((T = t.selectedQueryComp()) == null ? void 0 : T.children.datasourceId.getView()) || "", I = ze(f);
  return /* @__PURE__ */ c(Z, {
    className: Le,
    children: [/* @__PURE__ */ e(ee, {
      children: /* @__PURE__ */ e(dt, {
        items: F,
        onOpenCreatePanel: () => u(!0),
        onDelete: g,
        onCopy: R,
        onSelect: i
      })
    }), /* @__PURE__ */ e(te, {}), /* @__PURE__ */ e(oe, {
      children: /* @__PURE__ */ c("div", {
        style: {
          width: "100%",
          height: "100%",
          minWidth: "480px",
          display: "flex",
          flexDirection: "column"
        },
        children: [/* @__PURE__ */ e(Ve.Provider, {
          value: I,
          children: /* @__PURE__ */ e(Pe.Provider, {
            value: (($ = t.selectedQueryComp()) == null ? void 0 : $.children.name.getView()) || "",
            children: p ? p.getPropertyView() : ht
          })
        }), (x || y) && /* @__PURE__ */ e(ct, {
          recentlyUsed: A,
          datasource: l.map((a) => a.datasource).filter((a) => a.creationSource !== 2),
          onSelect: m,
          onClose: () => u(!1)
        })]
      })
    })]
  });
};
function dt(t) {
  var C, y;
  const {
    items: l,
    onOpenCreatePanel: p,
    onCopy: x,
    onSelect: u,
    onDelete: r
  } = t, b = _(M), w = (C = b.selectedQueryComp()) == null ? void 0 : C.children.datasourceId.getView(), v = (y = b.selectedQueryComp()) == null ? void 0 : y.children.compType.getView();
  return /* @__PURE__ */ c(P, {
    children: [/* @__PURE__ */ e(Ye, {
      refTreeComp: b.rootComp.children.refTree,
      dataSourceId: w,
      items: l,
      onCopy: x,
      onDelete: r,
      onSelect: u,
      onOpenCreatePanel: p
    }), w && v && /* @__PURE__ */ e(_e, {
      dataSourceId: w,
      queryType: v
    })]
  });
}
const pt = j`
  user-select: text;

  font-size: 13px;
  line-height: 13px;
  cursor: text;
`, ie = d.div`
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  transform: translateY(-48px);
`, ne = d.span`
  ${pt};
  display: block;
  margin-top: 10px;
  color: #b8b9bf;
  text-align: center;
`, re = d.div`
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
`, ht = /* @__PURE__ */ c(P, {
  children: [Ee, /* @__PURE__ */ e(re, {
    children: /* @__PURE__ */ c(ie, {
      children: [/* @__PURE__ */ e(X, {}), /* @__PURE__ */ e(ne, {
        children: h("bottomPanel.noSelectedQuery")
      })]
    })
  })]
}), vt = /* @__PURE__ */ e(re, {
  children: /* @__PURE__ */ c(ie, {
    children: [/* @__PURE__ */ e(X, {}), /* @__PURE__ */ e(ne, {
      children: h("bottomPanel.noSelectedQuery")
    })]
  })
});
export {
  wt as BottomContent,
  bt as BottomSkeleton,
  ht as EmptyQuery,
  vt as EmptyQueryWithoutTab
};
